> For the complete documentation index, see [llms.txt](https://docs.locoia.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.locoia.com/embed-white-label-portal/embed-admin-setup/2.-configure-embed/proprietary-connector-setup.md).

# 2.2 Proprietary connector setup

Using **Embed** to connect your own software **to many other SaaS apps** you obviously may not want your users to have to manually enter their login details themselves. You can make use of a proprietary connector in Embed in order to automatically create a [connector auth](/api/create-connector-authentication.md) for your end users of your own connector so that they don't have to enter their credentials for it in the iframe.

## 1. Select your connector in the embed configuration

In the Embed configuration, simply select the connector that you want to use as the proprietary connector for this embed. The connector ID will then be displayed in the field below.

![](/files/-Mi_NpJwaeFPL8NXLsV6)

## 2. Add the `client_authentication` dictionary to the JWT

In the [JWT](/embed-white-label-portal/embed-admin-setup/2.-configure-embed/embed-integration-via-sso.md#1-passing-data-to-dynamic-insight) you need to add the `client_authentication` dictionary with the following content:

```javascript
"client_authentication": {
  "auth_type": "basic_auth",
  "connector_id": "d4...",
  "name": "Embed - Stripe - User123 - 23523",
  "auth_token": "very_secret_token",
  "auth_details": "",
  "api_endpoint": "",
  "refresh_token": "",
  "user_input": {},
  "password": "",
  "username": ""
}
```

* **auth\_type** -  The same that you can see when you're setting up a connector auth in Locoia. E.g. for Stripe this would be `basic_auth`. A complete list of the types can be [found here](/connectors/authentication.md).&#x20;
* **connector\_id** - The connector id that you received in the [first step](/embed-white-label-portal/embed-admin-setup/2.-configure-embed/proprietary-connector-setup.md#1-select-your-connector-in-the-embed-configuration)
* **name** - The name of the connector auth. We recommend use a combination of the end users id or name, the connector name and some reference to embed
* All other parameters depend on the specific connector that you're using. E.g. for Stripe, the `auth_token` needs to be passed

Finally, you need to **include this dictionary in your JWT** on every page view, so that the most recent credentials are always synced to the corresponding connector auth, and thus, the flows that use them in Locoia.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.locoia.com/embed-white-label-portal/embed-admin-setup/2.-configure-embed/proprietary-connector-setup.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
